#include <cstdlib>
#include <cstring>
#include <deque>
#include <fstream>
#include <iostream>
#include <sstream>

using namespace std;

string p, t;
string err_msg;
int err_code;

int check(ifstream& f)
{
    int n;
    f >> n;
    if (!f) {
        err_msg = "failed to parse first number";
        err_code = 2;
        return -1;
    }

    if (n > p.length()) {
        err_msg = "ans len is too large";
        err_code = 1;
        return -1;
    }

    deque<char> d;
    int i;
    for (i = 0; i < p.size(); i++)
        d.push_back(p[i]);
    for (i = 0; i < n; i++) {
        string l;
        f >> l;
        if (!f) {
            err_msg = "output is not complete";
            err_code = 2;
            return -1;
        }
        if (l.length() != 2 || l[0] != 'L' && l[0] != 'R') {
            ostringstream ss;
            ss << "failed to parse action #" << i+1;
            err_msg = ss.str();
            err_code = 2;
            return -1;
        }

        if (l[0] == 'L') {
            d.pop_back();
            d.push_front(l[1]);
        } else {
            d.pop_front();
            d.push_back(l[1]);
        }
    }

    string q;
    for (deque<char>::iterator it = d.begin(); it != d.end(); it++)
        q += *it;

    if (t.find(q) == string::npos) {
        err_msg = "answer is not a substring of T";
        err_code = 1;
        return -1;
    }

    return n;
}

int main(int argc, char* argv[])
{
    ifstream fin(argv[1]);
    ifstream fout(argv[2]);
    ifstream fans(argv[3]);

    fin >> p >> t;

    int jury_ans = check(fans);
    if (jury_ans == -1) {
        cout << "jury error: " << err_msg << endl;
        return 3;
    }

    int cont_ans = check(fout);
    if (cont_ans == -1) {
        cout << "contestant error: " << err_msg << endl;
        return err_code;
    }

    if (cont_ans < jury_ans) {
        cout << "contestant is better: " << cont_ans << " vs. " << jury_ans << endl;
        return 3;
    }

    if (cont_ans > jury_ans) {
        cout << "jury is better: " << cont_ans << " vs. " << jury_ans << endl;
        return 1;
    }

    cout << "ok " << jury_ans << endl;
    return 0;
}
