#include <algorithm>
#include <cstdio>
#include <iostream>
#include <string>

using namespace std;

const int maxn = 2000;

int n, m;
int ps;
string p, t;
int z[2*maxn];
string ans1, ans2;

void calc_z(const string& s)
{
    z[0] = s.length(); 
    int l = 0, r = 0;
    for (int i = 1; i < s.length(); i++) {
        if (i > r) {
            int j = 0;
            while (s[i+j] == s[j]) j++;
            z[i] = j;
        } else if (i+z[i-l] > r) {
            int j = r-i+1;
            while (s[i+j] == s[j]) j++;
            z[i] = j;
        } else z[i] = z[i-l];
        if (i+z[i]-1 > r) {
            r = i+z[i]-1;
            l = i;
        }
    }
}

void add(char dir, char val)
{
    ans1[ps] = dir;
    ans2[ps] = val;
    ps++;
}

void solve(int offset, int l, int middle, int r)
{
    int L = 0, R = l+r;
    if (offset+n > m) L = offset+n-m;
    if (offset < l+r) R = offset;
    int fL = min(3*l+2*r-L, 2*r+l+L);
    int fR = min(3*l+2*r-R, 2*r+l+R);

    if (min(fL, fR) >= ans1.length())
        return;

    int x = fL < fR ? L : R;
    ps = 0;
    int i;
    if (3*l+2*r-x < 2*r+l+x) {
        //направо l раз, потом налево l+r раз, потом направо l+r-x раз
        ans1 = ans2 = string(3*l+2*r-x, 'z');
        for (i = 1; i <= l; i++) add('R', 'z');
        for (i = 1; i <= x; i++) add('L', t[offset-i]);
        for (i = x+1; i <= l+r; i++) add('L', 'z');
        for (i = 1; i <= l+r-x; i++) add('R', t[offset+middle-1+i]);
    } else {
        //налево r раз, потом направо l+r раз, потом налево x раз
        ans1 = ans2 = string(2*r+l+x, 'z');
        for (i = 1; i <= r; i++) add('L', 'z');
        for (i = 1; i <= l+r-x; i++) add('R', t[offset+middle-1+i]);
        for (i = l+r-x+1; i <= l+r; i++) add('R', 'z');
        for (i = 1; i <= x; i++) add('L', t[offset-i]);
    }
}

int main()
{
    freopen("input.txt", "r", stdin);
    freopen("output.txt", "w", stdout);

    cin >> p >> t;
    n = p.length();
    m = t.length();

    ans1 = ans2 = t.substr(0, n);
    for (int i = 0; i < n; i++)
        ans1[i] = 'R';

    for (int i = 0; i < n; i++) {
        calc_z(p.substr(i) + t);
        for (int j = 0; j < m; j++) {
            int len = z[n+j-i];
            if (len > n-i) len = n-i;
            if (len)
                solve(j, i, len, n-(i+len));
        }
    }

    cout << ans1.length() << endl;
    for (int i = 0; i < ans1.length(); i++)
        cout << ans1[i] << ans2[i] << endl;

    fclose(stdin); fclose(stdout);
    return 0;
}
